
var ObjectsRawDataPath = BrainVoyager.BrowseDirectory("Please select the path to the BrainVoyager sample data") + "/";//BrainVoyager.PathToSampleData + "ObjectsDicomGSG/";
var filename = BrainVoyager.BrowseFile("Please select the first anatomical file", "*.dcm");

function CreateVMRandCorrectForInhomogeneities()
{
   var docVMR = BrainVoyager.CreateProjectVMR( "DICOM", filename, 192, false, 256, 256, 2 );
   //   var docVMR = BrainVoyager.CreateProjectVMR( "DICOM", ObjectsRawDataPath + "/" + "BetSog_20040312_Goebel_C2 -0002-0001-00001.dcm", 192, false, 256, 256, 2 );
      docVMR.SaveAs( ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT.vmr" );
    docVMR.CorrectIntensityInhomogeneities(); // this function works only directly after VMR creation
}


function AutoACPCAndTAL()
{
	var ok;
	var docVMR = BrainVoyager.ActiveDocument;
	docVMR.AutoACPCAndTALTransformation();
}

CreateVMRandCorrectForInhomogeneities();
AutoACPCAndTAL();
